import dayjs from "dayjs";
import { ApiCall } from "tsrpc";
import { server } from "../..";
import { Reqstart, Resstart } from "../../shared/protocols/lobby/Ptlstart";

export async function Apistart(call: ApiCall<Reqstart, Resstart>): Promise<void> {
    // Error
    // if (call.req.content.length === 0) {
    //     call.error("Content is empty");
    //     return;
    // }

    // Success
    let time: Date = new Date();
    let dayjstime: string = dayjs().format("YYYY-MM-DD HH:mm:ss");
    call.logger.log(`${dayjstime} Apistart`);
    call.succ({
        code: 1,
        data: {
            time: dayjstime
        }
    });

    // Broadcast
    server.broadcastMsg("lobby/B_start", {
        time: time,
        data: {
            content: `${dayjstime}: B_start`
        }
    });
}