import { ServiceProto } from 'tsrpc-proto';
import { MsgB_start } from './lobby/MsgB_start';
import { Reqstart, Resstart } from './lobby/Ptlstart';
import { MsgChat } from './MsgChat';
import { ReqSend, ResSend } from './PtlSend';

export interface ServiceType {
    api: {
        "lobby/start": {
            req: Reqstart,
            res: Resstart
        },
        "Send": {
            req: ReqSend,
            res: ResSend
        }
    },
    msg: {
        "lobby/B_start": MsgB_start,
        "Chat": MsgChat
    }
}

export const serviceProto: ServiceProto<ServiceType> = {
    "version": 1,
    "services": [
        {
            "id": 5,
            "name": "lobby/B_start",
            "type": "msg"
        },
        {
            "id": 1,
            "name": "lobby/start",
            "type": "api"
        },
        {
            "id": 2,
            "name": "Chat",
            "type": "msg"
        },
        {
            "id": 4,
            "name": "Send",
            "type": "api"
        }
    ],
    "types": {
        "lobby/MsgB_start/MsgB_start": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "data",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "content",
                                "type": {
                                    "type": "String"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "time",
                    "type": {
                        "type": "Date"
                    }
                }
            ]
        },
        "lobby/Ptlstart/Reqstart": {
            "type": "Interface"
        },
        "lobby/Ptlstart/Resstart": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "code",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "data",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "time",
                                "type": {
                                    "type": "String"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "MsgChat/MsgChat": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "content",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "time",
                    "type": {
                        "type": "Date"
                    }
                }
            ]
        },
        "PtlSend/ReqSend": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "content",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "PtlSend/ResSend": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "time",
                    "type": {
                        "type": "Date"
                    }
                }
            ]
        }
    }
};